Skip to main content

Analyze a stored image by file id

POST 

/api/v2/Image/vision/file

Analyzes an image already stored in the system using a vision-capable model and returns a textual description. Supported file formats: jpg, jpeg, png, gif, webp.

Request

Query Parameters

    culture string

    Use this param to override the culture of the response. Options: - en (default) - es

Body

The vision request containing the file id, model, and optional prompt.

    fileId uuidrequired

    The id of the image file to analyze.

    prompt stringnullable

    Possible values: <= 4000 characters

    Optional instruction guiding the analysis.

    userIdentifier stringnullable

    Possible values: <= 256 characters

    Optional user identifier for tracking and cost management purposes.

    channel stringnullable

    Possible values: <= 64 characters

    The channel used in the execution.

    aiModelId uuidnullable

    The unique identifier of the AI model to use. Used instead of Vendor and ModelCode.

    modelCode stringnullable

    The model code to use. Used together with Vendor when AIModelId is not provided.

    vendor stringnullable

    The vendor of the model to use. Used together with ModelCode when AIModelId is not provided.

Responses

Returns the image analysis result.

Schema

    instanceId uuid
    response stringnullable

    tokenUsage

    object

    completionTokens int32
    promptTokens int32
    totalTokens int32

    cost

    object

    completion double
    prompt double
    total double
    currency stringnullable
Loading...